| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__CfCFSIE Struct Reference
Subscriber Features

Call Forward System Internal External. More...

`#include <osv-if-doc.h>`

## Public Attributes
enum unsp__Subscribed | Subscribed
| Standard Subscribed enumeration. More...
unsp__Enabled * | Enabled
| Standard Enabled flag. More...
unsp__Enabled * | DetermineCallBasedOnTransferringNum
| Determine Call Based On Transferring Number. More...
xsd__int * | RingDurationIntCall
| Indicates the duration for which for internal calls the phone will ring before (if not answered) the call will be redirected. More...
xsd__int * | RingDurationExtCall
| Indicates the duration for which for external calls the phone will ring before (if not answered) the call will be redirected. More...
char * | CFAllInternalDest
| The number or Alphanumeric SIP URI to which internal calls are forwarded when Enabled is true and CFAllEnabled is true. More...
char * | CFAllExternalDest
| The number or Alphanumeric SIP URI to which external calls are forwarded when Enabled is true and CFAllEnabledExternal is true. More...
unsp__Enabled * | CFAllEnabled
| Indicates whether the forwarding of all internal calls is Enabled. More...
unsp__Enabled * | CFAllEnabledExternal
| Indicates whether the forwarding of all external calls is Enabled. More...
unsp__Enabled * | CFAllPrivilegedInternal
| Indicates whether dynamic provisioning of CFAllEnabled through CSTA is enabled. More...
unsp__Enabled * | CFAllPrivilegedExternal
| Indicates whether dynamic provisioning of CFAllEnabledExternal through CSTA is enabled. More...
char * | CFBusyInternalDest
| The number or Alphanumeric SIP URI to which internal calls are forwarded when Enabled is true and CFBusyEnabled is true and the subscriber's phone is busy. More...
char * | CFBusyExternalDest
| The number or Alphanumeric SIP URI to which external calls are forwarded when Enabled is true and CFBusyEnabledExternal is true and the subscriber's phone is busy. More...
unsp__Enabled * | CFBusyEnabled
| Indicates whether the forwarding of busy internal calls is Enabled. More...
unsp__Enabled * | CFBusyEnabledExternal
| Indicates whether the forwarding of busy external calls is Enabled. More...
unsp__Enabled * | CFBusyPrivilegedInternal
| Indicates whether dynamic provisioning of CFBusyEnabled through CSTA is enabled. More...
unsp__Enabled * | CFBusyPrivilegedExternal
| Indicates whether dynamic provisioning of CFBusyEnabledExternal through CSTA is enabled. More...
char * | CFNoAnswerInternalDest
| The number or Alphanumeric SIP URI to which internal calls are forwarded when Enabled is true and CFNoAnswerEnabled is true and the subscriber does not answer. More...
char * | CFNoAnswerExternalDest
| The number or Alphanumeric SIP URI to which external calls are forwarded when Enabled is true and CFNoAnswerEnabledExternal is true and the subscriber does not answer. More...
unsp__Enabled * | CFNoAnswerEnabled
| Indicates whether the forwarding of not answered internal calls is Enabled. More...
unsp__Enabled * | CFNoAnswerEnabledExternal
| Indicates whether the forwarding of not answered external calls is Enabled. More...
unsp__Enabled * | CFNoAnswerPrivilegedInternal
| Indicates whether dynamic provisioning of CFNoAnswerEnabled through CSTA is enabled. More...
unsp__Enabled * | CFNoAnswerPrivilegedExternal
| Indicates whether dynamic provisioning of CFNoAnswerEnabledExternal through CSTA is enabled. More...
char * | DNDInternalDest
| The number or Alphanumeric SIP URI to which internal calls are forwarded when Enabled is true and CFDNDEnabled is true and the subscriber is in the "do not disturb" state. More...
char * | DNDExternalDest
| The number or Alphanumeric SIP URI to which external calls are forwarded when Enabled is true and CFDNDEnabled is true and the subscriber is in the "do not disturb" state. More...
unsp__Enabled * | DNDEnabled
| Indicates whether the "do not disturb" state is Enabled and calls are to be forwarded. More...
struct unsp__CfCFSIE_locPres * | Local
| Local Presence flags. More...

## Detailed Description

Call Forward System Internal External.

This feature allows the subscriber to configure different forwarding destinations to be used for calls that are internal to the subscriber's Business Group and calls that are external to the Business Group. Separate destinations can be configured for the forwarding of all calls, forwarding of calls when the subscriber is busy, forwarding of calls when the subscriber does not answer, and forwarding of calls when the subscriber has "do not disturb" active. These scenarios correspond to those scenarios that would be handled by the Call Forwarding - All Calls (CFV), Call Forwarding Busy Line (CFB), Call Forwarding Don't Answer (CFDA), and Do Not Disturb (DND) services respectively, but note that the CFSIE feature is separate and distinct from those services, and the data related to CFV, CFB, CFDA, and DND, including the Enabled state of the feature, is configured as part of the CFSIE feature, and not by assignment of those services separately.
MP2 command: CFCFSIE [Attributes]

## Member Data Documentation

## ◆ CFAllEnabled

unsp__Enabled* unsp__CfCFSIE::CFAllEnabled

Indicates whether the forwarding of all internal calls is Enabled.

required: false
default value[range]: false

## ◆ CFAllEnabledExternal

unsp__Enabled* unsp__CfCFSIE::CFAllEnabledExternal

Indicates whether the forwarding of all external calls is Enabled.

required: false
default value[range]: false

## ◆ CFAllExternalDest

char* unsp__CfCFSIE::CFAllExternalDest

The number or Alphanumeric SIP URI to which external calls are forwarded when Enabled is true and CFAllEnabledExternal is true.

required: true, if the feature is enabled

See also
  unsp__CFTarget

## ◆ CFAllInternalDest

char* unsp__CfCFSIE::CFAllInternalDest

The number or Alphanumeric SIP URI to which internal calls are forwarded when Enabled is true and CFAllEnabled is true.

required: true, if the feature is enabled

See also
  unsp__CFTarget

## ◆ CFAllPrivilegedExternal

unsp__Enabled* unsp__CfCFSIE::CFAllPrivilegedExternal

Indicates whether dynamic provisioning of CFAllEnabledExternal through CSTA is enabled.

required: false
default value[range]: false

## ◆ CFAllPrivilegedInternal

unsp__Enabled* unsp__CfCFSIE::CFAllPrivilegedInternal

Indicates whether dynamic provisioning of CFAllEnabled through CSTA is enabled.

required: false
default value[range]: false

## ◆ CFBusyEnabled

unsp__Enabled* unsp__CfCFSIE::CFBusyEnabled

Indicates whether the forwarding of busy internal calls is Enabled.

required: false
default value[range]: false

## ◆ CFBusyEnabledExternal

unsp__Enabled* unsp__CfCFSIE::CFBusyEnabledExternal

Indicates whether the forwarding of busy external calls is Enabled.

required: false
default value[range]: false

## ◆ CFBusyExternalDest

char* unsp__CfCFSIE::CFBusyExternalDest

The number or Alphanumeric SIP URI to which external calls are forwarded when Enabled is true and CFBusyEnabledExternal is true and the subscriber's phone is busy.

required: At least one destination (either internal or external) is required if the feature is Enabled.

See also
  unsp__CFTarget

## ◆ CFBusyInternalDest

char* unsp__CfCFSIE::CFBusyInternalDest

The number or Alphanumeric SIP URI to which internal calls are forwarded when Enabled is true and CFBusyEnabled is true and the subscriber's phone is busy.

required: At least one destination (either internal or external) is required if the feature is Enabled

See also
  unsp__CFTarget

## ◆ CFBusyPrivilegedExternal

unsp__Enabled* unsp__CfCFSIE::CFBusyPrivilegedExternal

Indicates whether dynamic provisioning of CFBusyEnabledExternal through CSTA is enabled.

required: false
default value[range]: false

## ◆ CFBusyPrivilegedInternal

unsp__Enabled* unsp__CfCFSIE::CFBusyPrivilegedInternal

Indicates whether dynamic provisioning of CFBusyEnabled through CSTA is enabled.

required: false
default value[range]: false

## ◆ CFNoAnswerEnabled

unsp__Enabled* unsp__CfCFSIE::CFNoAnswerEnabled

Indicates whether the forwarding of not answered internal calls is Enabled.

required: false
default value[range]: false

## ◆ CFNoAnswerEnabledExternal

unsp__Enabled* unsp__CfCFSIE::CFNoAnswerEnabledExternal

Indicates whether the forwarding of not answered external calls is Enabled.

required: false
default value[range]: false

## ◆ CFNoAnswerExternalDest

char* unsp__CfCFSIE::CFNoAnswerExternalDest

The number or Alphanumeric SIP URI to which external calls are forwarded when Enabled is true and CFNoAnswerEnabledExternal is true and the subscriber does not answer.

required: At least one destination (either internal or external) is required if the feature is Enabled.

See also
  unsp__CFTarget

## ◆ CFNoAnswerInternalDest

char* unsp__CfCFSIE::CFNoAnswerInternalDest

The number or Alphanumeric SIP URI to which internal calls are forwarded when Enabled is true and CFNoAnswerEnabled is true and the subscriber does not answer.

required: At least one destination (either internal or external) is required if the feature is Enabled.

See also
  unsp__CFTarget

## ◆ CFNoAnswerPrivilegedExternal

unsp__Enabled* unsp__CfCFSIE::CFNoAnswerPrivilegedExternal

Indicates whether dynamic provisioning of CFNoAnswerEnabledExternal through CSTA is enabled.

required: false
default value[range]: false

## ◆ CFNoAnswerPrivilegedInternal

unsp__Enabled* unsp__CfCFSIE::CFNoAnswerPrivilegedInternal

Indicates whether dynamic provisioning of CFNoAnswerEnabled through CSTA is enabled.

required: false
default value[range]: false

## ◆ DetermineCallBasedOnTransferringNum

unsp__Enabled* unsp__CfCFSIE::DetermineCallBasedOnTransferringNum

Determine Call Based On Transferring Number.

required: false
default value[range]: false

## ◆ DNDEnabled

unsp__Enabled* unsp__CfCFSIE::DNDEnabled

Indicates whether the "do not disturb" state is Enabled and calls are to be forwarded.

required: false
default value[range]: false

## ◆ DNDExternalDest

char* unsp__CfCFSIE::DNDExternalDest

The number or Alphanumeric SIP URI to which external calls are forwarded when Enabled is true and CFDNDEnabled is true and the subscriber is in the "do not disturb" state.

required: At least one destination (either internal or external) is required if the feature is Enabled.

See also
  unsp__CFTarget

## ◆ DNDInternalDest

char* unsp__CfCFSIE::DNDInternalDest

The number or Alphanumeric SIP URI to which internal calls are forwarded when Enabled is true and CFDNDEnabled is true and the subscriber is in the "do not disturb" state.

required: At least one destination (either internal or external) is required if the feature is Enabled.

See also
  unsp__CFTarget

## ◆ Enabled

unsp__Enabled* unsp__CfCFSIE::Enabled

Standard Enabled flag.

## ◆ Local

struct unsp__CfCFSIE_locPres* unsp__CfCFSIE::Local

Local Presence flags.

## ◆ RingDurationExtCall

xsd__int* unsp__CfCFSIE::RingDurationExtCall

Indicates the duration for which for external calls the phone will ring before (if not answered) the call will be redirected.

Used in connection with the "no answer" portion of this service feature
required: false
default value[range]: 24 [0..60]

## ◆ RingDurationIntCall

xsd__int* unsp__CfCFSIE::RingDurationIntCall

Indicates the duration for which for internal calls the phone will ring before (if not answered) the call will be redirected.

Used in connection with the "no answer" portion of this service feature
required: false
default value[range]: 24 [0..60]

## ◆ Subscribed

enum unsp__Subscribed unsp__CfCFSIE::Subscribed

Standard Subscribed enumeration.

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h